List contacts
curl --request GET \
--url https://api.nateq.io/api/v1/contacts \
--header 'Authorization: <api-key>'{
"data": [
{
"activities": [
{
"actorId": "<string>",
"actorName": "<string>",
"actorType": "<string>",
"contactId": "<string>",
"createdAt": "<string>",
"description": "<string>",
"id": "<string>",
"metadata": "<string>",
"newValue": "<string>",
"oldValue": "<string>",
"updatedAt": "<string>"
}
],
"avatar": "<string>",
"channelData": "<string>",
"company": {
"domain": "<string>",
"id": "<string>",
"name": "<string>"
},
"companyId": "<string>",
"companyName": "<string>",
"country": "<string>",
"createdAt": "<string>",
"doNotContact": true,
"email": "<string>",
"externalId": "<string>",
"id": "<string>",
"isAnonymous": true,
"isPotentialClient": true,
"language": "<string>",
"name": "<string>",
"organizationId": "<string>",
"phone": "<string>",
"position": "<string>",
"source": "<string>",
"tags": [
{
"color": "<string>",
"createdAt": "<string>",
"displayName": "<string>",
"id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"updatedAt": "<string>"
}
],
"updatedAt": "<string>",
"whatsappOptedOut": true,
"whatsappOptedOutAt": "<string>"
}
],
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"count": 123,
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}Contacts
List contacts
List contacts for the organization with optional filters and pagination.
GET
/
contacts
List contacts
curl --request GET \
--url https://api.nateq.io/api/v1/contacts \
--header 'Authorization: <api-key>'{
"data": [
{
"activities": [
{
"actorId": "<string>",
"actorName": "<string>",
"actorType": "<string>",
"contactId": "<string>",
"createdAt": "<string>",
"description": "<string>",
"id": "<string>",
"metadata": "<string>",
"newValue": "<string>",
"oldValue": "<string>",
"updatedAt": "<string>"
}
],
"avatar": "<string>",
"channelData": "<string>",
"company": {
"domain": "<string>",
"id": "<string>",
"name": "<string>"
},
"companyId": "<string>",
"companyName": "<string>",
"country": "<string>",
"createdAt": "<string>",
"doNotContact": true,
"email": "<string>",
"externalId": "<string>",
"id": "<string>",
"isAnonymous": true,
"isPotentialClient": true,
"language": "<string>",
"name": "<string>",
"organizationId": "<string>",
"phone": "<string>",
"position": "<string>",
"source": "<string>",
"tags": [
{
"color": "<string>",
"createdAt": "<string>",
"displayName": "<string>",
"id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"updatedAt": "<string>"
}
],
"updatedAt": "<string>",
"whatsappOptedOut": true,
"whatsappOptedOutAt": "<string>"
}
],
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"count": 123,
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}Authorizations
Your API key as a Bearer token: Authorization: Bearer tg_live_...
Query Parameters
Filter by type (guest, customer)
Search by name, email, or phone
Page number
Page size
Was this page helpful?
⌘I